Subject: Re: [pcp] WGLC: draft-ietf-pcp-server-selection-04.txt comments due by AUG 18

From: Dave Thaler <[email-masked]>
Date: Tue, 12 Aug 2014 17:06:34 +0000

Just a reminder that there is one week left in this last call.
Please send your comments, even if it's just "Looks ready".

In this case, silence does not mean consent, silence means
lack of interest in progressing the doc :)

-Dave

> -----Original Message-----
> From: Dave Thaler
> Sent: Monday, July 21, 2014 6:53 AM
> To: [email-masked]
> Subject: WGLC: draft-ietf-pcp-server-selection-04.txt comments due by AUG
> 18
> 
> -02 of this document went through a WGLC back in February but has had
> some significant changes since then.  This email initiates a new Working
> Group Last Call on
> draft-ietf-pcp-server-selection-04 to conclude on Monday, August 18th.
> We believe that this should give sufficient time to review, taking into account
> IETF week and various travel plans.  Please send comments to the list.
> 
> As a reminder, when responding to a WGLC, what we chairs are looking for is
> a statement about document quality (not really about whether the
> mechanism should move forward).  That is, state whether you think the
> document is ready as is, or if not, what issues you see.
> 
> Thanks,
> -Dave
> 
> -----Original Message-----
> From: pcp [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: Monday, July 21, 2014 1:45 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [pcp] I-D Action: draft-ietf-pcp-server-selection-04.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the Port Control Protocol Working Group of the
> IETF.
> 
>         Title           : PCP Server Selection
>         Authors         : Mohamed Boucadair
>                           Reinaldo Penno
>                           Dan Wing
>                           Prashanth Patil
>                           Tirumaleswar Reddy
> 	Filename        : draft-ietf-pcp-server-selection-04.txt
> 	Pages           : 11
> 	Date            : 2014-07-20
> 
> Abstract:
>    The document specifies the behavior to be followed by a PCP client to
>    contact its PCP server(s) when one or several PCP server IP addresses
>    are configured.
> 
>    This document updates RFC6887.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-pcp-server-selection/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-pcp-server-selection-04
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-pcp-server-selection-04
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> pcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pcp

---

From: "Moustafa, Hassnaa" <[email-masked]>
Date: Thu, 14 Aug 2014 20:01:18 +0000

Hi Dave,

I sent some comments on this draft earlier and I reviewed the current version: it integrates my comments sent previously (http://www.ietf.org/mail-archive/web/pcp/current/msg03534.html) and it looks ready from my view.

Thanks.
Hassnaa

-----Original Message-----
From: pcp [mailto:[email-masked]] On Behalf Of Dave Thaler
Sent: Tuesday, August 12, 2014 10:07 AM
To: [email-masked]
Subject: Re: [pcp] WGLC: draft-ietf-pcp-server-selection-04.txt comments due by AUG 18

In this case, silence does not mean consent, silence means lack of interest in progressing the doc :)

-Dave

> some significant changes since then.  This email initiates a new 
> Working Group Last Call on
> We believe that this should give sufficient time to review, taking 
> into account IETF week and various travel plans.  Please send comments to the list.
> 
> As a reminder, when responding to a WGLC, what we chairs are looking 
> for is a statement about document quality (not really about whether 
> the mechanism should move forward).  That is, state whether you think 
> the document is ready as is, or if not, what issues you see.
> 
> Thanks,
> -Dave
> 
>  This draft is a work item of the Port Control Protocol Working Group 
> of the IETF.
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>

---

From: Simon Perreault <[email-masked]>
Date: Sat, 16 Aug 2014 07:15:23 -0400

On Mon, Jul 21, 2014 at 9:52 AM, Dave Thaler <[email-masked]> wrote:
> -02 of this document went through a WGLC back in February but has had some
> significant changes since then.  This email initiates a new Working Group Last Call on
> As a reminder, when responding to a WGLC, what we chairs are looking for is a statement
> about document quality (not really about whether the mechanism should move
> forward).  That is, state whether you think the document is ready as is,
> or if not, what issues you see.

I've re-read the document carefully and compared with my previous
comments. All my comments have been addressed. I particularly like the
elegance of the new algorithm which defers much of the work to RFC
6724. Implementation would be straightforward. The example is very
good.

One comment about this part:

   For efficiency, the PCP client SHOULD use the same Mapping Nonce for
   requests sent to all PCP server IP addresses.

I suggest rewording for clarity:

   For efficiency, the PCP client SHOULD use the same Mapping Nonce for
   requests sent to all IP addresses belonging to a single PCP server.
Different Mapping Nonces MUST still be used for requests sent to
different PCP servers.

Simon

---

From: <[email-masked]>
Date: Mon, 18 Aug 2014 07:36:26 +0000

Hi Simon,

Thank you for the review.

Please see inline.

Cheers,
Med

>-----Message d'origine-----
>De : pcp [mailto:[email-masked]] De la part de Simon Perreault
>Envoyé : samedi 16 août 2014 13:15
>À : Dave Thaler
>Cc : [email-masked]
>Objet : Re: [pcp] WGLC: draft-ietf-pcp-server-selection-04.txt comments due
>by AUG 18
>
>some

[Med] The text you quoted is under "3. IP Address Selection: PCP Server with Multiple IP Addresses". The text should be interpreted in that context. The text currently in the draft is OK IMHO.

>Different Mapping Nonces MUST still be used for requests sent to

[Med] This is already in RFC6887, section 11.2. This document does not modify that behavior. If you really think a note to remind that behavior is needed, then a sentence can be added to Section 4. Thanks.

---

From: Simon Perreault <[email-masked]>
Date: Mon, 18 Aug 2014 08:26:13 -0400

Med,

All you wrote below is true. However, the fact is I was confused for a
bit when I read this part, and I think I know PCP quite well. So I'm
pretty sure that if you give this to a random programmer there's a
good chance the confusion will create bugs. Better to be redundant and
clear IMHO. Since I'm not proposing any change to the meaning of the
text, I'm a bit surprised by the rejection.

Simon

---

From: <[email-masked]>
Date: Mon, 18 Aug 2014 12:58:44 +0000

Simon, 

My intent was not reject your proposal, but to explain the rationale for the current text. 

Below the changes I added to my local copy:

Section 3: 

OLD:
NEW:

Section 4:

NEW:
   As specified in Section 11.2 of [RFC6887], different Mapping Nonces
   must be used for requests sent to different PCP servers.

Please let me know if this works for you.

Cheers,
Med

>De : Simon Perreault [mailto:[email-masked]]
>Envoyé : lundi 18 août 2014 14:26
>À : BOUCADAIR Mohamed IMT/OLN
>Cc : Dave Thaler; [email-masked]
>> [Med] The text you quoted is under "3. IP Address Selection: PCP Server
>with Multiple IP Addresses". The text should be interpreted in that
>context. The text currently in the draft is OK IMHO.
>>
>> [Med] This is already in RFC6887, section 11.2. This document does not
>modify that behavior. If you really think a note to remind that behavior is
>needed, then a sentence can be added to Section 4. Thanks.

---

From: <[email-masked]>
Date: Mon, 18 Aug 2014 13:01:42 +0000

Re-,

Ooops, the proposed change in Section 4 as implemented in my local copy is:

NEW:
   As specified in Section 11.2 of [RFC6887], the PCP client must use
   different Mapping Nonces for each PCP server it communicates with.

Cheers,
Med

>De : pcp [mailto:[email-masked]] De la part de
>[email-masked]
>Envoyé : lundi 18 août 2014 14:59
>À : Simon Perreault
>Cc : [email-masked]

---

From: Simon Perreault <[email-masked]>
Date: Mon, 18 Aug 2014 09:06:11 -0400

> Please let me know if this works for you.

It does! Thanks!

Simon

---

From: Dave Thaler <[email-masked]>
Date: Tue, 19 Aug 2014 23:22:31 +0000

I just reviewed -05 and believe that from a technical standpoint, the document is ready.

I did find a couple of editorial nits that would be good to address, which can
be found in the marked up copy at
http://research.microsoft.com/~dthaler/draft-ietf-pcp-server-selection-05.pdf

-Dave

> Subject: RE: WGLC: draft-ietf-pcp-server-selection-04.txt comments due by
> AUG 18
>

---

From: <[email-masked]>
Date: Wed, 20 Aug 2014 09:01:59 +0000

Hi Dave,

A new version that takes into account your review is available online. Please double check this diff: http://www.ietf.org/rfcdiff?url1=draft-ietf-pcp-server-selection-05&url2=draft-ietf-pcp-server-selection-06 

Cheers,
Med

>De : pcp [mailto:[email-masked]] De la part de Dave Thaler
>Envoyé : mercredi 20 août 2014 01:23
>À : [email-masked]
>Cc : [email-masked]
>> In this case, silence does not mean consent, silence means lack of
>interest in
>> progressing the doc :)
>>
>> -Dave
>>
>> > into account IETF week and various travel plans.  Please send comments
>to
>> the list.
>> >

---

From: Dave Thaler <[email-masked]>
Date: Wed, 20 Aug 2014 15:55:01 +0000

Yes, looks great now.  Thanks for the quick turnaround!

Dave

> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Wednesday, August 20, 2014 2:02 AM
> To: Dave Thaler; [email-masked]
> Cc: [email-masked]
> A new version that takes into account your review is available online. Please
> double check this diff: http://www.ietf.org/rfcdiff?url1=draft-ietf-pcp-server-
> selection-05&url2=draft-ietf-pcp-server-selection-06
> 
> Cheers,
> Med
> 
> >De : pcp [mailto:[email-masked]] De la part de Dave Thaler Envoyé
> >: mercredi 20 août 2014 01:23 À :
> >[email-masked]
> >Cc : [email-masked]
> >Objet : Re: [pcp] WGLC: draft-ietf-pcp-server-selection-04.txt comments
> >due by AUG 18
> >
> >I did find a couple of editorial nits that would be good to address,
> >which can be found in the marked up copy at
> >> Subject: RE: WGLC: draft-ietf-pcp-server-selection-04.txt comments
> >> due by AUG 18
> >>
> >> > -02 of this document went through a WGLC back in February but has
> >> > had some significant changes since then.  This email initiates a
> >> > new Working Group Last Call on
> >> > As a reminder, when responding to a WGLC, what we chairs are
> >> > looking for is a statement about document quality (not really about
> >> > whether the mechanism should move forward).  That is, state whether
> >> > you think the document is ready as is, or if not, what issues you see.
> >> >
> >> > Thanks,
> >> > -Dave
> >> >
> >> >  This draft is a work item of the Port Control Protocol Working
> >> > Group of the IETF.
> >> >
> >> >    The document specifies the behavior to be followed by a PCP
> >> > client
> >to